Bug 992148 - love: FTBFS in rawhide
love: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: love (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeremy Newton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-04 23:25 EDT by Dennis Gilmore
Modified: 2014-02-27 20:51 EST (History)
2 users (show)

See Also:
Fixed In Version: love-0.9.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 02:47:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-04 23:25:36 EDT
Your package love failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5708809

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/8809/5708809/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/8809/5708809/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/8809/5708809/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Jeremy Newton 2013-08-05 12:35:10 EDT
I'll look into this when I get internet back on my build computer
Comment 2 Fedora End Of Life 2013-09-16 12:50:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Christopher Meng 2013-12-30 00:46:27 EST
Hi,

This package in repo is still 0.8 but not 0.9 and since f19 it doesn't build anymore.

I hope you can solve the problem ASAP because I'm packaging supersonicball.

Thanks.
Comment 4 Jeremy Newton 2014-01-02 01:40:49 EST
I'm attempting to fix this, but I'm having some issues building 0.9.0

You can view the complete details and status of the bug here:

https://bitbucket.org/rude/love/issue/819/opengl-issue-with-fedora-linux
Comment 5 Christopher Meng 2014-01-05 12:16:34 EST
Did you build it on Koji? Or on your local machine?

Also what caused my eye of this package is because of luajit support, you should enable luajit support of this package IMO.
Comment 6 Jeremy Newton 2014-01-05 13:09:14 EST
I built it on koji but I cant get it to link properly to non mesa based graphics drivers. The strange part is the love library links just fine, its the binary thats having issues.

Also I agree about luajit
Comment 7 Jeremy Newton 2014-01-05 13:16:21 EST
Here's 0.9.0 on koji:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6355866

It should be built with luajit, but the opengl issue still exists, I'm trying to figure out the issue. This is annoying for me, because my graphics driver is not mesa based.
Comment 8 Fedora Update System 2014-01-05 14:37:48 EST
love-0.8.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/love-0.8.0-6.fc20
Comment 9 Jeremy Newton 2014-01-05 14:41:27 EST
I just pushed an update that will fix the build problem by using luajit for fedora 20. Also I pushed it to 19 as an enhancement, as it shouldn't be required to build from source.

I still can't update to 0.9.0 until the opengl linking problem is fixed.
Comment 10 Fedora Update System 2014-01-05 19:31:50 EST
love-0.9.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/love-0.9.0-2.fc20
Comment 11 Jeremy Newton 2014-01-05 19:34:00 EST
I figured out the issue with 0.9.0, so I'm canceling the update request in substitute for the package update
Comment 12 Fedora Update System 2014-01-07 04:49:03 EST
Package love-0.9.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing love-0.9.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0355/love-0.9.0-2.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-01-24 02:47:52 EST
love-0.9.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Christopher Meng 2014-02-02 05:34:12 EST
You forgot rawhide branch.
Comment 15 Jeremy Newton 2014-02-02 13:31:12 EST
The build must have failed, I'll try rebuilding later this week.
Comment 16 Jeremy Newton 2014-02-27 20:51:06 EST
sorry for the delay, this is fix

Note You need to log in before you can comment on or make changes to this bug.